# this file is used to record the build configuration 
# so that we can switch architectures and
# so that we do not have to repeat configuration for samples 
DXCC = x86_64-pld-linux-gcc
DXCFLAGS = -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -mtune=generic -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2  -D_GNU_SOURCE
DXEXECLINKLIBS = -lXinerama -lnetcdf -lcdf -ldf -lXpm -ltiff -ldl -lXm -lXp -lGLU -lGL -lm -lXmu -lXext -lXt -lX11 -lSM -lICE -L/usr/lib64 -lpthread  
DXEXECLINKFLAGS = 
DXRUNTIMELOADFLAGS = 
DXFMTLIBS =  libtiff.a libdf.a libcdf.a libnetcdf.a
DXLDFLAGS = -Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc  
OBJEXT = o
EXEEXT = 
DXABI = 
DX_X_LINK_LIBS = -lXm -lXp -lGLU -lGL -lm -lXmu -lXext -lXt -lX11 -lSM -lICE -L/usr/lib64 -lpthread  
DX_GL_LINK_LIBS =  -lGL 
DOT_EXE_EXT = 
# the var ARCH may change to DXARCH due to namespace
DXARCH = linux
JINC = 
DX_JAVA_CLASSPATH = 
DX_RTL_CFLAGS =  -D_GNU_SOURCE -Dlinux
DX_RTL_LDFLAGS = -fPIC -shared
DX_RTL_DXENTRY =  -eDXEntry
DX_RTL_IMPORTS = 
DX_RTL_SYSLIBS = 
SHARED_LINK = $(CC)
DX_OUTBOARD_LIBS = 
